# Makefile include for weAut's serial bootloader 
# and (optionally) linked applications
# Copyright  2014  Albrecht Weinert    < a-weinert.de >

MAKE_INCLUDE_PLATFORM  = arduMega2560
MAKE_INCLUDE_LAST_CHANGE = '$Date: 2015-09-15 19:07:09 +0200 (Di, 15 Sep 2015) $ '
MAKE_INCLUDE_REVISION = '$Revision: 38 $ '

ifndef COPYRIGHT_YEAR
$(error includefile $(MAKE_INCLUDE_PLATFORM) used directly.)
endif

# PLATFORM might have been given in wrong case (at least on Windows)
override PLATFORM = $(MAKE_INCLUDE_PLATFORM)

# make_arduMega2560_settings.mk
# this include file is for platform specific settings only

# An optional short multiline description of this platform's
# specifica and, especially; implemented variants, if any.
# May be empty. Do not change the three lines define endef and export
define PLAF_DES_TEXT

Experimental evaluation board evaluation board ArduinoMega2560 (ATmega2560)
                                             or ArduinoMegaADK (ATmega2560)
     
Attention / Hints:
      The low level crystals used on these products require or at least
      strongly recommend the repair described in 
      a-weinert.de/pub/AVRserBootl.pdf
 
endef
export PLAF_DES_TEXT


MCU =  atmega2560
BOOT_TEXT = 0x3E000
MAX_BOOTSIZE = 8192

F_CPU ?= 16000000
LFUSE ?=0xFF
HFUSE ?=0xD0
EFUSE ?=0xFD

ifeq ($(RUN_ON), Windows)
	DEF_AVRISP_P ?= usb
	DEF_AVR109_P ?= com5
endif