# Makefile include for weAut's serial bootloader 
# and (optionally) linked applications
# Copyright  2014  Albrecht Weinert    < a-weinert.de >

MAKE_INCLUDE_PLATFORM  = arduinoUno
MAKE_INCLUDE_LAST_CHANGE = '$Date: 2015-09-15 19:07:09 +0200 (Di, 15 Sep 2015) $ '
MAKE_INCLUDE_REVISION = '$Revision: 38 $ '

ifndef COPYRIGHT_YEAR
$(error includefile $(MAKE_INCLUDE_PLATFORM) used directly.)
endif

# PLATFORM might have been given in wrong case (at least on Windows)
override PLATFORM = $(MAKE_INCLUDE_PLATFORM)

# make_arduinoUno_settings.mk
# this include file is for platform specific settings only

# An optional short multiline description of this platform's
# specifica and, especially; implemented variants, if any.
# May be empty. Do not change the three lines define endef and export
define PLAF_DES_TEXT

Experimental evaluation board evaluation board Arduino Uno R3 (ATmega328p)
     
Attention / Hints:
      The low level crystals used on these products require or at least
      strongly recommend the repair described in 
      a-weinert.de/pub/AVRserBootl.pdf
 
endef
export PLAF_DES_TEXT


MCU =  atmega328p
BOOT_TEXT = 0x07000
MAX_BOOTSIZE = 4096

F_CPU ?= 16000000
LFUSE ?=0xFF
HFUSE ?=0xD0
EFUSE ?=0xFD

ifeq ($(RUN_ON), Windows)
	DEF_AVRISP_P ?= usb
	DEF_AVR109_P ?= com11
endif