# Makefile include for weAut's serial bootloader 
# and (optionally) linked applications
# Copyright  2014  Albrecht Weinert    < a-weinert.de >

MAKE_INCLUDE_PLATFORM  = easyAVR32
MAKE_INCLUDE_LAST_CHANGE = '$Date: 2015-09-15 19:07:09 +0200 (Di, 15 Sep 2015) $ '
MAKE_INCLUDE_REVISION = '$Revision: 38 $ '

ifndef COPYRIGHT_YEAR
$(error includefile $(MAKE_INCLUDE_PLATFORM) used directly.)
endif

# PLATFORM might have been given in wrong case (at least on Windows)
override PLATFORM = $(MAKE_INCLUDE_PLATFORM)

# make_easyAVR32_settings.mk
# this include file is for platform specific settings only

# An optional short multiline description of this platform's
# specifica and, especially; implemented variants, if any.
# May be empty. Do not change the three lines define endef and export
define PLAF_DES_TEXT

Experimental evaluation board easyAVR32 V.7
                                       (ATmega32; 8MHz; external clock)

One variant may be choosen with VAR=mik
mik: will be forcing the use of the (shit) programmer named 
     mikroProg built-in in some versions plus eaysAVR\AVRFLASH.exe
     instead of the reliable ISP/avrdude combination.
     
Attention / Hints:
      Serial baudrates above 19200 won't work (due to 8MHz F_CPU).
      Serial2USB converter is unreliable (concerning baudrate).
      Jumperpair USB/UART really is SubdV24/USB     
 
endef
export PLAF_DES_TEXT

# VARiant mik for easyAVR32 will be forcing the use of the (shit)
# programmer named mikroProg (see above).
ifeq ($(VAR), mik)
   override DEF_AVRISP_P=mikroProg
	PRG_BOOT_P=mikroProg
endif


# 
MCU =  atmega32
BOOT_TEXT = 0x7000
MAX_BOOTSIZE = 4096
override EFUSE =none


F_CPU ?= 8000000
# eaysAVR with 8 MHz can't handle the default 38400 baud
PRG_APP_b = 19200

LFUSE =0xE0
HFUSE =0xD0


ifeq ($(RUN_ON), Windows)
	DEF_AVRISP_P ?= usb
	DEF_AVR109_P ?= com1
endif