# Makefile include for weAut's serial bootloader 
# and (optionally) linked applications
# Copyright  2014  Albrecht Weinert    < a-weinert.de >

MAKE_INCLUDE_PLATFORM  = weAut_01
MAKE_INCLUDE_LAST_CHANGE = '$Date: 2015-09-15 19:07:09 +0200 (Di, 15 Sep 2015) $ '
MAKE_INCLUDE_REVISION = '$Revision: 38 $ '

ifndef COPYRIGHT_YEAR
$(error includefile $(MAKE_INCLUDE_PLATFORM) used directly.)
endif

# PLATFORM might have been given in wrong case (at least on Windows)
override PLATFORM = $(MAKE_INCLUDE_PLATFORM)

# make_weAut_01_settings.mk
# this include file is for platform specific settings only

# An optional short multiline description of this platform's
# specifica and, especially; implemented variants, if any.
# May be empty. Do not change the three lines define endef and export
define PLAF_DES_TEXT

weAut_01  industry standards conforming automation board   (ATmega1284p)
by weinert - automation           ( weinert-automation.de a-weinert.de )

See the internet resources as e.g. the (German) manual
    weinert-automation.de/pub/weAut_01-UserMan-de01.pdf 
for more information. For some architectural backgroud see
    a-weinert.de/pub/ecoApprAutom.pdf

endef
export PLAF_DES_TEXT

MCU =  atmega1284p
BOOT_TEXT = 0x1E000
MAX_BOOTSIZE = 8192

F_CPU ?= 20000000
LFUSE ?=0xF7
HFUSE ?=0xD0
EFUSE ?=0xFC

ifeq ($(RUN_ON), Windows)
	DEF_AVRISP_P ?= com7
	DEF_AVR109_P ?= com1
endif